Skip to main content
GET
Get Event Logs by Topics

Authorizations

apikey
string
query
required

Your Etherscan API key.

Query Parameters

chainid
string
required

Chain ID to query, eg 1 for Ethereum, 8453 for Base from our supported chains.

module
string
default:logs
required

Set to logs for this endpoint.

action
string
default:getLogs
required

Set to getLogs for this endpoint.

fromBlock
integer
required

Starting block number to search from.

toBlock
integer
required

Ending block number to search to.

topic0
string

The first topic to filter by. Provide at least one of topic0, topic1, topic2, or topic3.

topic0_1_opr
string

Topic operator between topic0 and topic1, either and or or.

topic1
string

Second topic to filter by.

topic1_2_opr
string

Topic operator between topic1 and topic2, either and or or.

topic2
string

Third topic to filter by.

topic2_3_opr
string

Topic operator between topic2 and topic3, either and or or.

topic3
string

Fourth topic to filter by.

topic0_2_opr
string

Topic operator between topic0 and topic2, either and or or.

topic0_3_opr
string

Topic operator between topic0 and topic3, either and or or.

topic1_3_opr
string

Topic operator between topic1 and topic3, either and or or.

page
integer

Page number for pagination.

offset
integer

Number of records per page. Use the page parameter for subsequent records.